Create Collection
Creates a new collection in the KVNode.
Authentication
Requires internal authentication. Pass credentials via X-Glue-Authentication header, or apikey and secret headers.
Request Body
1{
2 "name": "users"
3}
Example Request
curl -X POST "https://api.hola.cloud/v1/collections" \
-H "X-Glue-Authentication: YOUR_AUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "users"
}'POST /v1/collections HTTP/1.1
Host: api.hola.cloud
X-Glue-Authentication: YOUR_AUTH_TOKEN
Content-Type: application/json
{
"name": "users"
}package main
import (
"fmt"
"io"
"net/http"
"encoding/json"
"strings"
)
func main() {
payload := map[string]any{"name": "users"}
bodyBytes, err := json.Marshal(payload)
if err != nil {
panic(err)
}
body := string(bodyBytes)
req, err := http.NewRequest("POST", "https://api.hola.cloud/v1/collections", strings.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("X-Glue-Authentication", "YOUR_AUTH_TOKEN")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(responseBody))
}
<?php
$payload = ['name' => 'users'];
$body = json_encode($payload);
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.hola.cloud/v1/collections',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => $body,
CURLOPT_HTTPHEADER => [
'X-Glue-Authentication: YOUR_AUTH_TOKEN',
'Content-Type: application/json',
],
]);
$response = curl_exec($ch);
if ($response === false) {
throw new Exception(curl_error($ch));
}
curl_close($ch);
echo $response;
import requests
import json
headers = {
"X-Glue-Authentication": "YOUR_AUTH_TOKEN",
"Content-Type": "application/json",
}
payload = {"name": "users"}
body = json.dumps(payload)
response = requests.request(
"POST",
"https://api.hola.cloud/v1/collections",
headers=headers,
data=body
)
print(response.text)
const payload = {"name": "users"};
const response = await fetch("https://api.hola.cloud/v1/collections", {
method: "POST",
headers: {
"X-Glue-Authentication": "YOUR_AUTH_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
});
console.log(await response.text());
const payload = {"name": "users"};
const response = await fetch("https://api.hola.cloud/v1/collections", {
method: "POST",
headers: {
"X-Glue-Authentication": "YOUR_AUTH_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
});
const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.util.Map;
import java.util.List;
public class Main {
public static void main(String[] args) throws Exception {
var payload = Map.of("name", "users");
var body = new ObjectMapper().writeValueAsString(payload);
var request = HttpRequest.newBuilder()
.uri(URI.create("https://api.hola.cloud/v1/collections"))
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.header("X-Glue-Authentication", "YOUR_AUTH_TOKEN")
.header("Content-Type", "application/json")
.build();
var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}Example Response
1HTTP/1.1 200 OK
2Content-Type: application/json
1{
2 "ok": true,
3 "collection": "users"
4}
Error Codes
| Status | Code | Description |
|---|---|---|
| 400 | invalid_json | Invalid JSON payload |
| 400 | missing_collection | Collection is required |
| 403 | forbidden | Missing authentication headers |
| 500 | internal_error | Internal server error |
Comments